#include <stdio.h>
#include <stdlib.h>
#include <err.h>
#include <math.h>

char *argv0;

void
usage(void)
{
	errx(1, "usage: %s DICE\nwhere DICE is N dice with M sides, in format NdM", argv0);
}

int
random_number(int min, int max)
{
	return min + round((double)rand() / RAND_MAX * (double)(max - min));
}

int
main(int argc, char *argv[])
{
	int i, n, sides, roll, sum = 0;

	argv0 = *argv;
	if (argc != 2)
		usage();

	sscanf(argv[1], "%dd%d", &n, &sides);

	if (n < 1)
		errx(1, "number of dice must be a positive value (%d)", n);

	if (sides < 2)
		errx(1, "dice must be at least two sided (%d)", sides);

	for (i = 0; i < n; i++) {
		roll = random_number(1, sides);
		printf("1d%d\t%d\n", sides, roll);
		sum += roll;
	}

	if (n > 1)
		printf("SUM:\t%d\n", sum);

	return 0;
}
